/**
 * Title: HelloBean
 * Description: Excercise 2 - JavaBean for JSP0 training
 * Copyright:    Copyright (c) 2003
 * Company:      Master
 * @author Stefano Adriani
 * @version 1.0
 */

package adriani.tutorial.jsp ;

import javax.servlet.http.HttpServletRequest;

/**
 * Class used in Exercise 2, JSP training. This bean is contained in the "second.jsp" page, which is called by
 * the "second.html" page. <BR>
 * Notice that the <CODE>httpRequest</CODE> property must be set manually by the page receiving the request, since
 * JSP objects as <CODE>request</CODE> and <CODE>response</CODE> are not input-like form parameters !!!
 */
public class HelloBean implements java.io.Serializable {

    // this field stores a reference to the request for this bean
    HttpServletRequest httpRequest;

    String word ;

    // set the request as passed by the JSP page
    public void setHttpRequest (HttpServletRequest httpRequest)    {
        this.httpRequest = httpRequest;
    }

    // returns a reference to the request this bean is linked to
    public HttpServletRequest getHttpRequest()    {
        return httpRequest;
    }

     // set the string parameter as passed by the JSP page
    public void setWord(String word) {
        this.word = word ;
    }

    // returns the value of the string parameter
    public String getWord() {

        // this ensures case insensitivity for the bean
        if(word == null)
            word = httpRequest.getParameter("Word");

		// setting a default value
        if ((word == null) || word.equals(""))
            return "World";

        return word ;
    }

}